Retrieve KYC information
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/kyc \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/kyc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/users/{userId}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "35dbc7ea-2877-4a70-add6-b5458289df23",
"kycInfo": {
"type": "individual",
"firstName": "John",
"firstNameLocal": "Lil John",
"middleName": null,
"middleNameLocal": null,
"lastName": "Doe",
"lastNameLocal": null,
"nationality": "USA",
"email": "example@gmail.com",
"phone": "+12223334444",
"address": {
"addressLine1": "123 Main St",
"addressLine2": null,
"city": "San Francisco",
"stateProvinceRegion": "CA",
"postalCode": "94105",
"country": "USA"
},
"dateOfBirth": "1990-01-01",
"countryOfBirth": "USA",
"stateOfBirth": "NY",
"placeOfBirth": null,
"taxIdentificationNumber": "123456789",
"taxResidenceCountry": "USA",
"govIdType": "PASSPORT",
"govIdNumber": "123456789",
"govIdFrontUrl": "https://example.com",
"govIdBackUrl": "https://example.com",
"govIdCountry": "USA",
"govIdIssuanceDate": "2020-01-01",
"govIdExpirationDate": "2027-01-01",
"govIdIssuanceAuthority": null,
"govIdHandHoldUrl": "https://example.com",
"proofOfAddressType": "UTILITY_BILL",
"proofOfAddressUrl": "https://example.com",
"sofEuQuestionnaire": null,
"ipAddress": "108.28.159.21",
"idType": "NIN",
"idNumber": "123456789",
"additionalIdType": null,
"additionalIdNumber": null,
"purpose": null,
"productServiceCategory": null,
"supplementaryInfo": null,
"supplementaryUrl": null,
"documents": []
}
}KYC
Retrieve KYC information
Get the KYC information the user currently holds.
GET
/
v2
/
users
/
{userId}
/
kyc
Retrieve KYC information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
⌘I